package com.zcloud.modules.oa.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.oa.entity.OaPostEntity;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 岗位(OaPost)表服务接口
 * @Date 2023-10-17 16:31:25
 */
public interface OaPostService extends IService<OaPostEntity> {

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String postId,String userId);

    boolean savePost(OaPostEntity param);

    OaPostEntity getByName(String name, String departmentId);
}
